Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

EzPublish.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\REST\Common\RequestParser;
8
12 class EzPublish extends Pattern
13 {
20 protected $map = [
21 'root' => '/',
22 'locations' => '/content/locations',
23 'locationByRemote' => '/content/locations?remoteId={location}',
24 'locationById' => '/content/locations?id={location}',
25 'locationChildren' => '/content/locations{&location}/children',
26 'locationUrlAliases' => '/content/locations{&location}/urlaliases',
27 'location' => '/content/locations{&location}',
28 'getImageVariation' => '/content/binary/images/{imageId}/variations/{variationIdentifier}',
29 'objects' => '/content/objects',
30 'objectByRemote' => '/content/objects?remoteId={object}',
31 'object' => '/content/objects/{object}',
32 'objectByLangCode' => '/content/objects/{object}/{lang_code}',
33 'objectLocations' => '/content/objects/{object}/locations',
34 'objectObjectStates' => '/content/objects/{object}/objectstates',
35 'objectVersions' => '/content/objects/{object}/versions',
36 'objectVersion' => '/content/objects/{object}/versions/{version}',
37 'objectVersionRelations' => '/content/objects/{object}/versions/{version}/relations',
38 'objectVersionRelation' => '/content/objects/{object}/versions/{version}/relations/{relation}',
39 'objectCurrentVersion' => '/content/objects/{object}/currentversion',
40 'objectrelations' => '/content/objects/{object}/relations',
41 'objectrelation' => '/content/objects/{object}/relations/{relation}',
42 'objectstategroups' => '/content/objectstategroups',
43 'objectstategroup' => '/content/objectstategroups/{objectstategroup}',
44 'objectstates' => '/content/objectstategroups/{objectstategroup}/objectstates',
45 'objectstate' => '/content/objectstategroups/{objectstategroup}/objectstates/{objectstate}',
46 'sections' => '/content/sections',
47 'section' => '/content/sections/{section}',
48 'sectionByIdentifier' => '/content/sections?identifier={section}',
49 'trashItems' => '/content/trash',
50 'trash' => '/content/trash/{trash}',
51 'typegroups' => '/content/typegroups',
52 'typegroupByIdentifier' => '/content/typegroups?identifier={&typegroup}',
53 'typegroup' => '/content/typegroups/{typegroup}',
54 'grouptypes' => '/content/typegroups/{typegroup}/types',
55 'types' => '/content/types',
56 'typeByIdentifier' => '/content/types?identifier={type}',
57 'typeByRemoteId' => '/content/types?remoteId={type}',
58 'type' => '/content/types/{type}',
59 'typeFieldDefinitions' => '/content/types/{type}/fieldDefinitions',
60 'typeFieldDefinition' => '/content/types/{type}/fieldDefinitions/{fieldDefinition}',
61 'typeDraft' => '/content/types/{type}/draft',
62 'typeFieldDefinitionsDraft' => '/content/types/{type}/draft/fieldDefinitions',
63 'typeFieldDefinitionDraft' => '/content/types/{type}/draft/fieldDefinitions/{fieldDefinition}',
64 'groupsOfType' => '/content/types/{type}/groups',
65 'typeGroupAssign' => '/content/types/{type}/groups?group={&group}',
66 'groupOfType' => '/content/types/{type}/groups/{group}',
67 'urlWildcards' => '/content/urlwildcards',
68 'urlWildcard' => '/content/urlwildcards/{urlwildcard}',
69 'urlAliases' => '/content/urlaliases',
70 'urlAlias' => '/content/urlaliases/{urlalias}',
71 'views' => '/content/views',
72 'view' => '/content/views/{view}',
73 'viewResults' => '/content/views/{view}/results',
74 'groups' => '/user/groups',
75 'group' => '/user/groups{&group}',
76 'groupRoleAssignments' => '/user/groups{&group}/roles',
77 'groupRoleAssignment' => '/user/groups{&group}/roles/{role}',
78 'groupSubgroups' => '/user/groups{&group}/subgroups',
79 'groupUsers' => '/user/groups{&group}/users',
80 'rootUserGroup' => '/user/groups/root',
81 'rootUserGroupSubGroups' => '/user/groups/subgroups',
82 'roles' => '/user/roles',
83 'role' => '/user/roles/{role}',
84 'roleByIdentifier' => '/user/roles?identifier={role}',
85 'policies' => '/user/roles/{role}/policies',
86 'policy' => '/user/roles/{role}/policies/{policy}',
87 'users' => '/user/users',
88 'user' => '/user/users/{user}',
89 'userDrafts' => '/user/users/{user}/drafts',
90 'userGroups' => '/user/users/{user}/groups',
91 'userGroupAssign' => '/user/users/{user}/groups?group={&group}',
92 'userGroup' => '/user/users/{user}/groups{&group}',
93 'userRoleAssignments' => '/user/users/{user}/roles',
94 'userRoleAssignment' => '/user/users/{user}/roles/{role}',
95 'userPolicies' => '/user/policies?userId={user}',
96 'userSession' => '/user/sessions/{sessionId}',
97 ];
98 }
eZ\Publish\Core\REST\Common\RequestParser\EzPublish
Pattern based Request parser pre-configured for eZ Publish.
Definition: EzPublish.php:13
eZ\Publish\Core\REST\Common\RequestParser\EzPublish\$map
$map
Definition: EzPublish.php:20
eZ\Publish\Core\REST\Common\RequestParser\Pattern
Pattern based Request parser.
Definition: Core/REST/Common/RequestParser/Pattern.php:23
eZ\Publish\Core\REST\Common\RequestParser
Definition: EzPublish.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.